/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/8.5.61
 * Generated at: 2020-12-13 09:11:50 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.webcontent.birt.pages.control;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.eclipse.birt.report.presentation.aggregation.IFragment;
import org.eclipse.birt.report.resource.BirtResources;
import org.eclipse.birt.report.utility.ParameterAccessor;
import org.eclipse.birt.report.servlet.ViewerServlet;

public final class ToolbarFragment_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = new java.util.HashSet<>();
    _jspx_imports_classes.add("org.eclipse.birt.report.resource.BirtResources");
    _jspx_imports_classes.add("org.eclipse.birt.report.utility.ParameterAccessor");
    _jspx_imports_classes.add("org.eclipse.birt.report.servlet.ViewerServlet");
    _jspx_imports_classes.add("org.eclipse.birt.report.presentation.aggregation.IFragment");
  }

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    final java.lang.String _jspx_method = request.getMethod();
    if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method) && !javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "JSPs only permit GET, POST or HEAD. Jasper also permits OPTIONS");
      return;
    }

    final javax.servlet.jsp.PageContext pageContext;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=utf-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, false, 0, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write('\n');
      org.eclipse.birt.report.presentation.aggregation.IFragment fragment = null;
      fragment = (org.eclipse.birt.report.presentation.aggregation.IFragment) _jspx_page_context.getAttribute("fragment", javax.servlet.jsp.PageContext.REQUEST_SCOPE);
      if (fragment == null){
        throw new java.lang.InstantiationException("bean fragment not found within scope");
      }
      out.write('\n');
      org.eclipse.birt.report.context.BaseAttributeBean attributeBean = null;
      attributeBean = (org.eclipse.birt.report.context.BaseAttributeBean) _jspx_page_context.getAttribute("attributeBean", javax.servlet.jsp.PageContext.REQUEST_SCOPE);
      if (attributeBean == null){
        throw new java.lang.InstantiationException("bean attributeBean not found within scope");
      }
      out.write('\n');
      out.write('\n');
      out.write("\n");
      out.write("<TR \n");
      out.write("\t");

		if( attributeBean.isShowToolbar( ) )
		{
	
      out.write("\n");
      out.write("\t\tHEIGHT=\"20px\"\n");
      out.write("\t");

		}
		else
		{
	
      out.write("\n");
      out.write("\t\tstyle=\"display:none\"\n");
      out.write("\t");

		}
	
      out.write("\t\n");
      out.write(">\n");
      out.write("\t<TD COLSPAN='2'>\n");
      out.write("\t\t<DIV ID=\"toolbar\">\n");
      out.write("\t\t\t<TABLE CELLSPACING=\"1px\" CELLPADDING=\"1px\" WIDTH=\"100%\" CLASS=\"birtviewer_toolbar\">\n");
      out.write("\t\t\t\t<TR><TD></TD></TR>\n");
      out.write("\t\t\t\t<TR>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t   <INPUT TYPE=\"image\" NAME='toc' SRC=\"birt/images/Toc.gif\"\n");
      out.write("\t\t\t\t\t   \t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.toc" ));
      out.write("\"\n");
      out.write("\t\t\t\t\t   \t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.toc" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t   <INPUT TYPE=\"image\" NAME='parameter' SRC=\"birt/images/Report_parameters.gif\"\n");
      out.write("\t\t\t\t\t   \t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.parameter" ));
      out.write("\"\t\n");
      out.write("\t\t\t\t\t   \t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.parameter" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t   <INPUT TYPE=\"image\" NAME='export' SRC=\"birt/images/Export.gif\"\n");
      out.write("\t\t\t\t\t   \t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.export" ));
      out.write("\"\n");
      out.write("\t\t\t\t\t   \t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.export" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t   <INPUT TYPE=\"image\" NAME='exportReport' SRC=\"birt/images/ExportReport.gif\"\n");
      out.write("\t\t\t\t\t   \t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.exportreport" ));
      out.write("\"\n");
      out.write("\t\t\t\t\t   \t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.exportreport" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t   <INPUT TYPE=\"image\" NAME='print' SRC=\"birt/images/Print.gif\"\n");
      out.write("\t\t\t\t\t   \t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.print" ));
      out.write("\"\n");
      out.write("\t\t\t\t\t   \t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.print" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t");

					if( ParameterAccessor.isSupportedPrintOnServer )
					{
					
      out.write("\t\t\t\t\t\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t   <INPUT TYPE=\"image\" NAME='printServer' SRC=\"birt/images/PrintServer.gif\"\n");
      out.write("\t\t\t\t\t   \t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.printserver" ));
      out.write("\"\n");
      out.write("\t\t\t\t\t   \t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.toolbar.printserver" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t");

					}
					
      out.write("\t\t\t\t\t\t\t\t\t\t\n");
      out.write("\t\t\t\t\t<TD ALIGN='right'>\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\"/>\n");
      out.write("\t\t\t\t</TR>\n");
      out.write("\t\t\t</TABLE>\n");
      out.write("\t\t</DIV>\n");
      out.write("\t</TD>\n");
      out.write("</TR>\n");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
